#dunfell #raspberrypi #bitbake #gstreamer gstreamer-gl-1.0 found: NO ERROR: Subproject directory not found and gst-plugins-base.wrap file not found #raspberrypi #dunfell #gstreamer #bitbake


edmundwatson@...
 

Hello,

gstreamer1.0-plugins-bad-1.16.3-r0 do_configure fails with the error: 

| Found CMake: NO
| Run-time dependency gstreamer-gl-1.0 found: NO (tried pkgconfig and cmake)
| Looking for a fallback subproject for the dependency gstreamer-gl-1.0
| meson.build:283:0: ERROR: Subproject directory not found and gst-plugins-base.wrap file not found
| A full log can be found at /yocto/workspaced/build/tmp/work/cortexa7t2hf-neon-vfpv4-heartos-linux-gnueabi/gstreamer1.0-plugins-bad/1.16.3-r0/build/meson-logs/meson-log.txt
| WARNING: exit code 1 from a shell command.
ERROR: Task (/yocto/workspaced/build/../layers/poky/meta/recipes-multimedia/gstreamer/gstreamer1.0-plugins-bad_1.16.3.bb:do_configure) failed with exit code '1'

Setup:

Build Configuration:
BB_VERSION           = "1.46.0"
BUILD_SYS            = "x86_64-linux"
NATIVELSBSTRING      = "ubuntu-18.04"
TARGET_SYS           = "arm-heartos-linux-gnueabi"
MACHINE              = "raspberrypi4"
DISTRO               = "heartos"
DISTRO_VERSION       = "3.1.8"
TUNE_FEATURES        = "arm vfp cortexa7 neon vfpv4 thumb callconvention-hard"
TARGET_FPU           = "hard"
meta                 
meta-poky            
meta-yocto-bsp       = "dunfell:6ebb33bdaccaeadff0c85aab27acf35723df00d8" (Lastest 24/05/2021)
meta-oe              
meta-python          
meta-networking      
meta-multimedia      
meta-perl            = "HEAD:2915810edbb6599051e30efb3b7f805665ddcc23"
meta-raspberrypi     = "HEAD:77190af02d48adc2b28216775e6318e9eeda571c"
meta-mender-core     
meta-mender-raspberrypi = "HEAD:2fc8ad1635ea9db71730a54bacc05b4513d0cb4a"
meta-qt5             = "HEAD:b4d24d70aca75791902df5cd59a4f4a54aa4a125"
meta-cpan            = "HEAD:86adfdd0321363c9bfc35f4228c0a04c2a5622b7"

recipe dependencies: 
    gstreamer1.0-dev
    gstreamer1.0 \
    gstreamer1.0-meta-base \
    gstreamer1.0-meta-video \
    gstreamer1.0-plugins-base \
    gstreamer1.0-plugins-good \
    gstreamer1.0-libav \
    gstreamer1.0-rtsp-server \
    gstreamer1.0-python \
    gst-interpipes \
    gstreamer1.0-omx \

Seems to be something missing, anyone come across this? Have a solution


Thanks very much

Join yocto@lists.yoctoproject.org to automatically receive all group messages.